// This file is part of the SV-Benchmarks collection of verification tasks:
// https://gitlab.com/sosy-lab/benchmarking/sv-benchmarks
//
// SPDX-FileCopyrightText: 2023 Levente Bajczi, Department of Measurement and Information Systems, Budapest University of Technology and Economics
//
// SPDX-License-Identifier: Apache-2.0

// Original CHC file: hopv/CE-0CFA05_000.smt2
extern void abort ();
extern int __VERIFIER_nondet_int ();
extern _Bool __VERIFIER_nondet__Bool ();
extern void __assert_fail(const char *, const char *, unsigned int, const char *) __attribute__ ((__nothrow__ , __leaf__)) __attribute__ ((__noreturn__));
void reach_error() { __assert_fail("0", "CE-0CFA05_000_range.c", 13, "reach_error"); }



int main ();

int
main ()
{
    // return parameter


    // variables
    int f_1034_unknown_37_0;
    int f_1034_unknown_37_1;
    int f_1034_unknown_37_2;
    int f_1034_unknown_37_3;
    int f_1034_unknown_37_4;
    int f_1034_unknown_37_5;
    int f_1034_unknown_37_6;
    int f_1034_unknown_37_7;
    int f_1034_unknown_37_8;
    int f_1034_unknown_37_9;
    int f_1034_unknown_37_10;
    int f_1034_unknown_37_11;
    int f_1034_unknown_37_12;
    int f_1034_unknown_37_13;
    int f_1034_unknown_37_14;
    int f_1034_unknown_37_15;
    int f_1034_unknown_37_16;
    int f_1034_unknown_37_17;
    int f_1034_unknown_37_18;
    int f_1034_unknown_37_19;
    int f_1034_unknown_37_20;
    int f_1034_unknown_37_21;
    int f_1034_unknown_37_22;
    int fail_unknown_75_0;
    int A_0;
    int B_0;
    int C_0;
    int D_0;
    int E_0;
    int F_0;
    int G_0;
    int H_0;
    int I_0;
    int J_0;
    int K_0;
    int L_0;
    int M_0;
    int N_0;
    int O_0;
    int P_0;
    int Q_0;
    int R_0;
    int S_0;
    int T_0;
    int U_0;
    int V_0;
    int W_0;
    int X_0;
    int A_1;
    int B_1;
    int C_1;
    int D_1;
    int E_1;
    int F_1;
    int G_1;
    int H_1;
    int I_1;
    int J_1;
    int K_1;
    int L_1;
    int M_1;
    int N_1;
    int O_1;
    int P_1;
    int Q_1;
    int R_1;
    int S_1;
    int T_1;
    int U_1;
    int V_1;
    int W_1;
    int X_1;
    int Y_1;
    int Z_1;
    int A1_1;
    int B1_1;
    int C1_1;
    int D1_1;
    int E1_1;
    int F1_1;
    int G1_1;
    int H1_1;
    int I1_1;
    int J1_1;
    int K1_1;
    int L1_1;
    int M1_1;
    int N1_1;
    int O1_1;
    int A_2;

    if (((f_1034_unknown_37_0 <= -1000000000)
         || (f_1034_unknown_37_0 >= 1000000000))
        || ((f_1034_unknown_37_1 <= -1000000000)
            || (f_1034_unknown_37_1 >= 1000000000))
        || ((f_1034_unknown_37_2 <= -1000000000)
            || (f_1034_unknown_37_2 >= 1000000000))
        || ((f_1034_unknown_37_3 <= -1000000000)
            || (f_1034_unknown_37_3 >= 1000000000))
        || ((f_1034_unknown_37_4 <= -1000000000)
            || (f_1034_unknown_37_4 >= 1000000000))
        || ((f_1034_unknown_37_5 <= -1000000000)
            || (f_1034_unknown_37_5 >= 1000000000))
        || ((f_1034_unknown_37_6 <= -1000000000)
            || (f_1034_unknown_37_6 >= 1000000000))
        || ((f_1034_unknown_37_7 <= -1000000000)
            || (f_1034_unknown_37_7 >= 1000000000))
        || ((f_1034_unknown_37_8 <= -1000000000)
            || (f_1034_unknown_37_8 >= 1000000000))
        || ((f_1034_unknown_37_9 <= -1000000000)
            || (f_1034_unknown_37_9 >= 1000000000))
        || ((f_1034_unknown_37_10 <= -1000000000)
            || (f_1034_unknown_37_10 >= 1000000000))
        || ((f_1034_unknown_37_11 <= -1000000000)
            || (f_1034_unknown_37_11 >= 1000000000))
        || ((f_1034_unknown_37_12 <= -1000000000)
            || (f_1034_unknown_37_12 >= 1000000000))
        || ((f_1034_unknown_37_13 <= -1000000000)
            || (f_1034_unknown_37_13 >= 1000000000))
        || ((f_1034_unknown_37_14 <= -1000000000)
            || (f_1034_unknown_37_14 >= 1000000000))
        || ((f_1034_unknown_37_15 <= -1000000000)
            || (f_1034_unknown_37_15 >= 1000000000))
        || ((f_1034_unknown_37_16 <= -1000000000)
            || (f_1034_unknown_37_16 >= 1000000000))
        || ((f_1034_unknown_37_17 <= -1000000000)
            || (f_1034_unknown_37_17 >= 1000000000))
        || ((f_1034_unknown_37_18 <= -1000000000)
            || (f_1034_unknown_37_18 >= 1000000000))
        || ((f_1034_unknown_37_19 <= -1000000000)
            || (f_1034_unknown_37_19 >= 1000000000))
        || ((f_1034_unknown_37_20 <= -1000000000)
            || (f_1034_unknown_37_20 >= 1000000000))
        || ((f_1034_unknown_37_21 <= -1000000000)
            || (f_1034_unknown_37_21 >= 1000000000))
        || ((f_1034_unknown_37_22 <= -1000000000)
            || (f_1034_unknown_37_22 >= 1000000000))
        || ((fail_unknown_75_0 <= -1000000000)
            || (fail_unknown_75_0 >= 1000000000)) || ((A_0 <= -1000000000)
                                                      || (A_0 >= 1000000000))
        || ((B_0 <= -1000000000) || (B_0 >= 1000000000))
        || ((C_0 <= -1000000000) || (C_0 >= 1000000000))
        || ((D_0 <= -1000000000) || (D_0 >= 1000000000))
        || ((E_0 <= -1000000000) || (E_0 >= 1000000000))
        || ((F_0 <= -1000000000) || (F_0 >= 1000000000))
        || ((G_0 <= -1000000000) || (G_0 >= 1000000000))
        || ((H_0 <= -1000000000) || (H_0 >= 1000000000))
        || ((I_0 <= -1000000000) || (I_0 >= 1000000000))
        || ((J_0 <= -1000000000) || (J_0 >= 1000000000))
        || ((K_0 <= -1000000000) || (K_0 >= 1000000000))
        || ((L_0 <= -1000000000) || (L_0 >= 1000000000))
        || ((M_0 <= -1000000000) || (M_0 >= 1000000000))
        || ((N_0 <= -1000000000) || (N_0 >= 1000000000))
        || ((O_0 <= -1000000000) || (O_0 >= 1000000000))
        || ((P_0 <= -1000000000) || (P_0 >= 1000000000))
        || ((Q_0 <= -1000000000) || (Q_0 >= 1000000000))
        || ((R_0 <= -1000000000) || (R_0 >= 1000000000))
        || ((S_0 <= -1000000000) || (S_0 >= 1000000000))
        || ((T_0 <= -1000000000) || (T_0 >= 1000000000))
        || ((U_0 <= -1000000000) || (U_0 >= 1000000000))
        || ((V_0 <= -1000000000) || (V_0 >= 1000000000))
        || ((W_0 <= -1000000000) || (W_0 >= 1000000000))
        || ((X_0 <= -1000000000) || (X_0 >= 1000000000))
        || ((A_1 <= -1000000000) || (A_1 >= 1000000000))
        || ((B_1 <= -1000000000) || (B_1 >= 1000000000))
        || ((C_1 <= -1000000000) || (C_1 >= 1000000000))
        || ((D_1 <= -1000000000) || (D_1 >= 1000000000))
        || ((E_1 <= -1000000000) || (E_1 >= 1000000000))
        || ((F_1 <= -1000000000) || (F_1 >= 1000000000))
        || ((G_1 <= -1000000000) || (G_1 >= 1000000000))
        || ((H_1 <= -1000000000) || (H_1 >= 1000000000))
        || ((I_1 <= -1000000000) || (I_1 >= 1000000000))
        || ((J_1 <= -1000000000) || (J_1 >= 1000000000))
        || ((K_1 <= -1000000000) || (K_1 >= 1000000000))
        || ((L_1 <= -1000000000) || (L_1 >= 1000000000))
        || ((M_1 <= -1000000000) || (M_1 >= 1000000000))
        || ((N_1 <= -1000000000) || (N_1 >= 1000000000))
        || ((O_1 <= -1000000000) || (O_1 >= 1000000000))
        || ((P_1 <= -1000000000) || (P_1 >= 1000000000))
        || ((Q_1 <= -1000000000) || (Q_1 >= 1000000000))
        || ((R_1 <= -1000000000) || (R_1 >= 1000000000))
        || ((S_1 <= -1000000000) || (S_1 >= 1000000000))
        || ((T_1 <= -1000000000) || (T_1 >= 1000000000))
        || ((U_1 <= -1000000000) || (U_1 >= 1000000000))
        || ((V_1 <= -1000000000) || (V_1 >= 1000000000))
        || ((W_1 <= -1000000000) || (W_1 >= 1000000000))
        || ((X_1 <= -1000000000) || (X_1 >= 1000000000))
        || ((Y_1 <= -1000000000) || (Y_1 >= 1000000000))
        || ((Z_1 <= -1000000000) || (Z_1 >= 1000000000))
        || ((A1_1 <= -1000000000) || (A1_1 >= 1000000000))
        || ((B1_1 <= -1000000000) || (B1_1 >= 1000000000))
        || ((C1_1 <= -1000000000) || (C1_1 >= 1000000000))
        || ((D1_1 <= -1000000000) || (D1_1 >= 1000000000))
        || ((E1_1 <= -1000000000) || (E1_1 >= 1000000000))
        || ((F1_1 <= -1000000000) || (F1_1 >= 1000000000))
        || ((G1_1 <= -1000000000) || (G1_1 >= 1000000000))
        || ((H1_1 <= -1000000000) || (H1_1 >= 1000000000))
        || ((I1_1 <= -1000000000) || (I1_1 >= 1000000000))
        || ((J1_1 <= -1000000000) || (J1_1 >= 1000000000))
        || ((K1_1 <= -1000000000) || (K1_1 >= 1000000000))
        || ((L1_1 <= -1000000000) || (L1_1 >= 1000000000))
        || ((M1_1 <= -1000000000) || (M1_1 >= 1000000000))
        || ((N1_1 <= -1000000000) || (N1_1 >= 1000000000))
        || ((O1_1 <= -1000000000) || (O1_1 >= 1000000000))
        || ((A_2 <= -1000000000) || (A_2 >= 1000000000)))
        abort ();

    // main logic
    goto main_init;

  main_init:
    if (!
        ((G_1 == 0) && (F_1 == 0) && (E_1 == 0) && (D_1 == 0) && (C_1 == 0)
         && (B_1 == 0) && (A_1 == 0) && (K1_1 == 0) && (J1_1 == 0)
         && (I1_1 == 0) && (H1_1 == 0) && (G1_1 == 1) && (F1_1 == 0)
         && (E1_1 == 0) && (D1_1 == 0) && (C1_1 == 0) && (B1_1 == 0)
         && (A1_1 == 0) && (Z_1 == 0) && (Y_1 == 0) && (X_1 == 0)
         && (W_1 == 0) && (V_1 == 0) && (U_1 == 0) && (T_1 == 0) && (S_1 == 0)
         && (R_1 == 0) && (Q_1 == 0) && (P_1 == 0) && (O_1 == 0) && (N_1 == 0)
         && (M_1 == 0) && (L_1 == 0) && (K_1 == 0) && (J_1 == 0) && (I_1 == 0)
         && (O1_1 == 0) && (N1_1 == 0) && (M1_1 == 0) && (L1_1 == 0)
         && (H_1 == 0)))
        abort ();
    f_1034_unknown_37_0 = G1_1;
    f_1034_unknown_37_1 = F1_1;
    f_1034_unknown_37_2 = E1_1;
    f_1034_unknown_37_3 = D1_1;
    f_1034_unknown_37_4 = C1_1;
    f_1034_unknown_37_5 = B1_1;
    f_1034_unknown_37_6 = A1_1;
    f_1034_unknown_37_7 = Z_1;
    f_1034_unknown_37_8 = Y_1;
    f_1034_unknown_37_9 = A_1;
    f_1034_unknown_37_10 = X_1;
    f_1034_unknown_37_11 = W_1;
    f_1034_unknown_37_12 = V_1;
    f_1034_unknown_37_13 = U_1;
    f_1034_unknown_37_14 = T_1;
    f_1034_unknown_37_15 = S_1;
    f_1034_unknown_37_16 = R_1;
    f_1034_unknown_37_17 = Q_1;
    f_1034_unknown_37_18 = B_1;
    f_1034_unknown_37_19 = P_1;
    f_1034_unknown_37_20 = O_1;
    f_1034_unknown_37_21 = N_1;
    f_1034_unknown_37_22 = M_1;
    X_0 = __VERIFIER_nondet_int ();
    if (((X_0 <= -1000000000) || (X_0 >= 1000000000)))
        abort ();
    W_0 = f_1034_unknown_37_0;
    V_0 = f_1034_unknown_37_1;
    U_0 = f_1034_unknown_37_2;
    T_0 = f_1034_unknown_37_3;
    S_0 = f_1034_unknown_37_4;
    R_0 = f_1034_unknown_37_5;
    Q_0 = f_1034_unknown_37_6;
    P_0 = f_1034_unknown_37_7;
    O_0 = f_1034_unknown_37_8;
    N_0 = f_1034_unknown_37_9;
    M_0 = f_1034_unknown_37_10;
    L_0 = f_1034_unknown_37_11;
    K_0 = f_1034_unknown_37_12;
    J_0 = f_1034_unknown_37_13;
    I_0 = f_1034_unknown_37_14;
    H_0 = f_1034_unknown_37_15;
    G_0 = f_1034_unknown_37_16;
    F_0 = f_1034_unknown_37_17;
    E_0 = f_1034_unknown_37_18;
    D_0 = f_1034_unknown_37_19;
    C_0 = f_1034_unknown_37_20;
    B_0 = f_1034_unknown_37_21;
    A_0 = f_1034_unknown_37_22;
    if (!((X_0 == 1) && (!(0 == S_0))))
        abort ();
    fail_unknown_75_0 = X_0;
    A_2 = fail_unknown_75_0;
    if (!1)
        abort ();
    goto main_error;
  main_error:
    reach_error ();
  main_final:
    goto main_final;

    // return expression

}

